import { AppBase, AppBaseInitParams } from './app-base';
export declare type AppGraphQlInitParams = AppBaseInitParams & {
    schema: any;
    resolvers: any;
};
export declare abstract class AppGraphQl extends AppBase {
    _schema: string;
    init(params: AppGraphQlInitParams): Promise<this>;
    private context;
    private formatError;
    get schema(): string;
}
